// __author__ = Juan Carlos De Abreu (jcabreur@gmail.com)

#include "CPUid.h"

BEGIN_TEG_NAMESPACE();

// Standard Constructor
CPUid::CPUid() {
//	char CPUString[0x20];
//	char CPUBrandString[0x40];
//	int CPUInfo[4] = {-1};

//	__cpuid(CPUInfo, 0);
}

// Destrcutor of the CPUid
CPUid::~CPUid() {

}

// Method to get the family name of the processor
std::tstring& CPUid::GetFamilyName() {
	return familyName;
}

// Method to get the vendor name of the processor
std::tstring& CPUid::GetVendorName() {
	return vendorName;
}

// Method to get the features of the processor
std::tstring& CPUid::GetFeatures() {
	return features;
}

// Method to get the clockSpeed of the processor
std::tstring& CPUid::GetClockSpeed() {
	return clockSpeed;
}

END_TEG_NAMESPACE();
